<template>
  <div class="account-signal">
    <div
      v-for="index in count"
      :key="index"
      class="account-signal-liner"
      :class="[
        'account-signal-liner-' + index,
        {
          'active': index <= signal
        }
      ]"
    />
  </div>
</template>

<script>
  export default {
    name: "signal",
    data() {
      return {
        count: 3
      }
    },
    props: {
      counter: {
        type: String,
        default: ''
      }
    },
    computed: {
      signal()  {
        switch (this.counter) {
          case 'LOW':
            return 1;
          case 'NORMAL':
            return 2;
          case 'HIGH':
            return 3;
          default:
            return 0
        }
      }
    }
  }
</script>

<style scoped lang="scss">
  .account-signal {
    display: flex;
    align-items: flex-end;

    &-liner {
      width: 3px;
      background: $color-light-grey;
      border-radius: 1px;
      margin: 0 1px;
    }

    @for $i from 1 through 3 {
      &-liner-#{$i} {
        height: #{8 + (4 * ($i - 1))}px;
      }
    }

    .active {
      background: $color-green-dark;
    }
  }
</style>